Subject: RE: Mud. Clear as. Re: Rough consensus? #425 3.5

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 26 Jan 2005 14:44:12 +0100

Avri, the way I read Leslies text is that the IAD and IAOC darn
better respond to normal queries and questions and that they
also document the questions and answers in a public place.

If they just frivorously ignore such questions, then it is clear 
that thye (IAD and IAOC) are NOT doing their job. And if anyone
experiences such a thing, then they can raise it to public lists
and I am sure we'll get enough community pressure to do something
about it as a community (one way or another).

just my 2 cents

Bert
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: Wednesday, January 26, 2005 14:03
> To: Harald Tveit Alvestrand
> Cc: [email-masked]
> Subject: Re: Mud. Clear as. Re: Rough consensus? #425 3.5
> 
> 
> Hi Harald,
> 
> On 26 jan 2005, at 02.23, Harald Tveit Alvestrand wrote:
> 
> > Avri,
> >
> > --On tirsdag, januar 25, 2005 23:44:09 -0500 [email-masked] wrote:
> >
> >> Hi Leslie,
> >>
> >> This formulation is still of the form that does not give the IETF
> >> community a direct voice in the review and appeal 
> mechanisms for the 
> >> IAOC.
> >
> > I do not understand what you mean by "direct voice". Could 
> you explain?
> 
> As I understand Leslie's formulation, the IAOC has no requirement to 
> process a review from a normal member of the IETF Community 
> unless that 
> request comes from the IAB or IESG.  To my mind, this means that the 
> IAOC is answerable to the IAB or IESG and not directly answerable to 
> the IETF Community.
> 
> When an individual IETF participant makes a review request, it may be 
> ignored.
> If someone is unhappy at being ignored they may make a request to the 
> IAB or IESG for recognition.  This request may be also ignored, with 
> the only recourse to that being an appeal of the IAB or IESG decision 
> to ignore their request.
> 
> That is, it is only if someone interests the IAB or IESG in 
> their issue 
> that it forces a review.  Also the only decision that can really be 
> appealed is the IAB or IESG handling of the request for a review not 
> the decision of the IAOC. I am defining that this as not 
> having direct 
> voice.
> 
> 
> >
> > If what you mean is that the community should have representatives 
> > involved in the consideration of the issues, and do not 
> think that the 
> > nomcom-selected members, the IESG-selected members and the 
> > IAB-selected members of the IAOC are appropriate community 
> > representation, I do not see any mechanism short of the way we 
> > constitute recall committees that will give you what you want.
> 
> My issue is not with how the members are appointed to the IAOC.  I am 
> fine with that.  My issue is whether they are accountable to the 
> community or the community's representatives.  As written they are 
> accountable only to the the community's representatives and are thus 
> one step removed from direct accountability to the community.
> 
> >
> > If you think that the community should have the right of complaint, 
> > then I think you need to accept some limitation by human 
> judgment on 
> > how much effort each complaint can cause.
> 
> I have not seen any argument that convinces me that those 
> limits should 
> be any different then the limits to judgment that currently exist to 
> complaints, i.e. appeals, against the IAB or IESG.  I am basically 
> using the 'running code' argument and asking that the appeal 
> process we 
> currently have be extended to this new IETF management group.
> 
> 
> > If that judgment is to lie outside of the IAOC, it has to 
> be invoked 
> > for all complaints to the IAOC (making the system more 
> formalistic); 
> > if it is inside the IAOC, it seems reasonable to have some means of 
> > overriding it.
> >
> >> I, personally see not reason why the IAOC is not directly 
> addressable 
> >> by
> >> the community and does not have a direct obligation to the IETF
> >> community.  While I am comfortable with the IESG and IAB being the 
> >> appeal
> >> path for the IAOC, I am not comfortable with them being a 
> firewall for
> >> the IAOC.
> >
> > I do have a problem with seeing the words that Leslie proposed as 
> > fitting your description. As described, it isn't a firewall 
> - it's an 
> > override of a safeguard.
> 
> A firewall protects.  As written the IESG or IAB protects the 
> IAOC from 
> the IETF community, which to some extent is being assumed to be a 
> sometimes malicious DOS'ing environment that the IAOC needs to be 
> isolated from.
> 
> >
> >> I think this is a fundamental question that differentiates 
> Margaret's
> >> formulation from yours.  I also think it is a fundamental question 
> >> that
> >> goes back to issues in the problem statement about the current 
> >> leadership
> >> model:  too much influence is focused in one leadership group.  One
> >> benefit of the creation of the IAOC is that it spreads the task of
> >> running of the IETF to another group of people.  As such, 
> I think the
> >> IAOC must be required to respond directly to the community.
> >
> > I don't quite see the logic here - we take tasks that are currently 
> > performed in an undocumented and unaccountable fashion and 
> move them 
> > into a body that has oversight over them, is selected by the 
> > community, is removable by the community, and is (as I see it) 
> > normally expected to respond to the community.
> 
> To some extent those tasks were performed in an unaccountable 
> fashion, 
> and to some extent the Chair's of the IAB and IESG (and maybe the 
> groups themselves) have been the only ones who had any 
> visibility, for 
> some degree of visibility, into them.
> 
> But that is not really the point.  If as you say this is 
> oversight that 
> never occurred before, then I see this formulation as adding more 
> responsibilities to the IAB/IESG, i.e. acting as the 
> oversight body and 
> as the arbiter of the community's voice.  And to refer back to the 
> Problem process this is adding responsibility to a group that is 
> already overloaded and which has a scope of responsibility that some 
> feel is already overly large.
> 
> I guess I dispute, and that really is a fundamental point, that the 
> IAOC in this formulation is normally expected to respond to the 
> community.  I see them as normally expected to respond to the IAB and 
> IESG.
> 
> 
> >
> > Question: My reading of Leslie's words is that "It is up to 
> that body 
> > to decide to make a response" should be read by the IAOC as "you'd 
> > better have a good reason not to make a response".
> 
> I don't read it that way.  I read it as: "you don't have any need to 
> respond to anyone who is not in a senior leadership position."  And 
> given that the Chair's of both the IAB and IESG will be on 
> the IAOC, it 
> puts them in the position of saying "we can ignore it, I 
> don't believe 
> the IAB or IESG will back up this request for a review even 
> if they get 
> that far".
> 
> >
> > Is what you're really looking for a way to make that "bias" in 
> > judgment explicit?
> 
> I am not sure I understand this question.  But if by '"bias" in 
> judgment' you mean: am I looking for a formulation that 
> forces the IAOC 
> to respond to every request for a review by members of the IETF 
> community, the answer is yes.  And to go further I am looking for the 
> appeal to start with the IAOC and proceed from there through 
> the normal 
> IESG-IAB-ISOC BoT chain of appeal.
> 
> a.
> 
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 26 Jan 2005 17:06:24 +0100

I like this text. In any event, it seems much closer to what
the community seems to want than what we have in the revision 04
document. So I have included the text suggested by Leslie,
with the understanding that I have not yet seen Harald declare
consensus (seems early for that anyways).

In the rev 05 doc (that I just submitted to the repository) I
have marked the text as "strawman text"... so I hope that that
is acceptable for now.

Bert

> Leslie Daigle
> Sent: Wednesday, January 26, 2005 03:16
> To: [email-masked]
> Subject: Mud. Clear as. Re: Rough consensus? #425 3.5
> 
> 
> 
> With apologies for having posted & disappeared (ISP & other
> unexpected connectivity challenges), I'd like to try another
> cut at what I was getting at, based on the discussion since.
> 
> On Friday, I tried a minimal edit on words that had flown
> around the list and seemed to have some consensus. Here's
> more of an extensive rewrite.
> 
> Apart from the distinction I had tried to make about
> 
> 	. business decisions (implementation) versus
> 	. performance
> 
> I heard these requirements expressed:
> 
> 	. DoS concerns -- don't create a system that begs for
> 	  denial of IASA service through the appeal/review process
> 	. second-guessing -- don't create an environment where
> 	  some or all of the community is second-guessing IAD/IAOC
> 	  at every move
> 	. community involvement -- adequate and appropriate
> 	  community involvement in the IASA decision making process
> 
> And I heard various theories about distinguishing between
> 
> 	. before decisions are made
> 	. during the decision-making process
> 	. after decisions have been made
> 
> particularly in terms of whether we are discussing
> 
> 	. appeal (review of executed action by an univolved
> 	  body)
> 	. review (further discussion of an action or proposal)
> 	. recall of IAOC members
> 
> 
> Separately from those considerations, there is the question of
> implementation -- what people/body(ies) invoke an action, and
> so on.
> 
> So, generally speaking, I think the important things to capture
> in the BCP are:
> 
> 	. business decisions remain within the IASA
> 	  in terms of review mechanisms (i.e., contracts, etc)
> 
> 	. the IASA should be explicitly pressed to publicize
> 	  and seek input on guidelines for making those decisions
> 
> 	. public information should include objective measurements
> 	  of system performance (e.g., document processing
> 	  times)
> 
> 	. there should be a crisp review process to address
> 	  the situation when (some subset of the IETF believes)
> 	  the IASA has not followed its guideliness in
> 	  carrying out an action -- and that includes the expectation
> 	  of having public guidelines.
> 
> To the meeting location example -- that would mean (IMO) that
> the IASA should have some public guidelines for how it picks
> meeting sites, and if a site is picked that appears to be at
> odds with those guidelines, then there is a process for reviewing
> the IASA's actions in selecting that site.  NB - that is different
> than appealing the site itself.
> 
> So, with all that in mind, I propose the following revised
> text for the 2 sections I suggested on Friday:
> 
> 
> --------
> 
> 3.5  Business Decisions
> 
> Decisions made by the IAD in the course of carrying out IASA business
> activities are subject to review by the IAOC.
> 
> The decisions of the IAOC must be publicly documented for each formal
> action.
> 
> 3.6  Responsiveness of IASA to the IETF
> 
> 
> The IAOC is directly accountable to the IETF  community for the
> performance of the IASA.  In order to achieve this, the
> IAOC and IAD will ensure that guidelines are developed
> for regular operation decision making.  Where appropriate, these
> guidelines should be developed with public input.  In all
> cases, they must be made public.
> 
> Additionally, the IASA should ensure there are reported objective
> performance metrics for all IETF process supporting activities.
> 
> In the case where someone questions that an action of the IAD or the
> IAOC has been undertaken in accordance with this document
> or those operational guidelines (including the creation of an
> appropriate set of such guidelines), he or she may ask for a formal
> review of the action.
> 
> The request for review is addressed to the person or body that took
> the action. It is up to that body to decide to make a response,
> and on the form of a response.
> 
> The IAD is required to respond to requests for a review from the
> IAOC, and the IAOC is required to respond to requests for a review
> of a decision from the IAB or from the IESG.
> 
> If members of the community feel that they are unjustly denied a
> response to a request for review, they may ask the IAB or the IESG
> to make the request on their behalf.
> 
> Answered requests for review and their responses are made public.
> Reviews of the IAD's actions will be considered at his or her 
> following
> performance review.  Reviews of the IAOC's actions may be considered
> when IAOC members are subsequently being seated.
> 
> 
> 
> 
> 
> 
> -----------
> 
> Note that this deletes much of the text that is currently
> the "Responsiveness of the IASA to the IETF Leadership"
> section:
> 
> > However, the nature of the IAOC's work
> > involves  treating the IESG and IAB as major internal  
> customers of the
> > administrative support services.  The IAOC and the IAD should not
> > consider their  work successful unless the IESG and IAB are also
> > satisfied with the administrative support that the  IETF is 
> receiving.
> 
> I wondered if this was still particularly relevant/appropriate or
> needed...
> 
> Where it does leave the IAB and IESG in priviledged position is
> that they act as channelers.  I am not personally strongly wedded
> to this -- it's a leftover from previous discussion.
> 
> 
> Leslie.
> 
> 
> Leslie Daigle wrote:
> > Following up the point I made in response to Mike St.Johns
> > a couple days ago, I went back through the document to see if/how
> > it distinguishes between being adequately responsive and
> > accountable to the community, from having appropriate
> > chains of accountability for contractual purposes (and
> > no micromanagement of the business affairs of the IASA).
> > 
> > It seems to me that we should:
> > 
> > 1/  Change this section:
> > 
> > 3.3 Relationship of the IAOC to Existing IETF Leadership
> > 
> > to "3.6 Responsiveness of IASA to the IETF"
> > 
> > and include the original text plus Harald's text adjusted to
> > be about the general processes.  And a point about objective
> > process metrics.
> > 
> > 2/  Add a section (3.5) specifically about business decisions --
> > which, as Mike St.Johns pointed out, should remain within
> > the IAD/IAOC.
> > 
> > 
> > That would make:
> > 
> > 
> > 3.5  Business Decisions
> > 
> > Decisions made by the IAD in the course of carrying out 
> IASA business
> > activities are subject to review by the IAOC.
> > 
> > The decisions of the IAOC must be publicly documented to 
> include voting
> > records for each formal action.
> > 
> > 3.6  Responsiveness of IASA to the IETF
> > 
> > 
> > The IAOC is directly accountable to the IETF  community for the
> > performance of the IASA.  However, the nature of the IAOC's work
> > involves  treating the IESG and IAB as major internal  
> customers of the
> > administrative support services.  The IAOC and the IAD should not
> > consider their  work successful unless the IESG and IAB are also
> > satisfied with the administrative support that the  IETF is 
> receiving.
> > In order to achieve this, the IASA should ensure there are
> > reported objective performance metrics for all IETF process
> > supporting activities.
> > 
> > In the case where someone questions an action of the IAD or the
> > IAOC in meeting the IETF requirements as outlined above, he or she
> > may ask for a formal review of the decision.
> > 
> > The request for review is addressed to the person or body that made
> > the decision. It is up to that body to decide to make a response,
> > and on the form of a response.
> > 
> > The IAD is required to respond to requests for a review from the
> > IAOC, and the IAOC is required to respond to requests for a review
> > of a decision from the IAB or from the IESG.
> > 
> > If members of the community feel that they are unjustly denied a
> > response to a request for review, they may ask the IAB or the IESG
> > to make the request on their behalf.
> > 
> > Answered requests for review and their responses are made public.
> > 
> > 
> > 
> > 
> > 
> > Leslie.
> > 
> > 
> > 
> > 
> > Leslie Daigle wrote:
> > 
> >>
> >> Interesting...
> >>
> >> To the extent that the IAD and IAOC are dealing with
> >> decisions about implementing requirements, I agree.
> >>
> >> To the extent that the IAD and IAOC are applying judgement
> >> to interpret the "best needs of the IETF" (i.e., determining
> >> those requirements), I disagree.  I think it's a little
> >> heavy-handed to have to instigate a recall procedure if the
> >> IAD (or IAOC) seem not to have heard the *community's* requirements
> >> for meeting location.
> >>
> >> So, (how) can we make the distinction without creating a
> >> decision tree of epic proportions?
> >>
> >> Leslie.
> >>
> >>
> >> Michael StJohns wrote:
> >>
> >>> Hi Harald et al -
> >>>
> >>> I apologize for chiming in on this so late, but I had 
> hopes it would 
> >>> get worked out without me pushing over apple carts.
> >>>
> >>> I can't support this and I recommend deleting this section in its 
> >>> entirety.
> >>>
> >>> My cut on this:
> >>>
> >>> The decisions of the IAD should be subject to review (and in some 
> >>> cases ratification) ONLY by the IAOC.
> >>>
> >>> The decisions of the IAOC should not be subject to 
> further review by 
> >>> the IETF at large.  The proper venue for expressing tangible 
> >>> displeasure with a decision is during the appointment and 
> >>> reappointment process.  (Note, I'm not precluding pre-decision 
> >>> comment by the community at large, and I encourage the 
> IAOC to seek 
> >>> such comment where appropriate but once the decision is 
> made its time 
> >>> to stop whining and get on with things)
> >>>
> >>> The decisions of the IAOC must be publicly documented to include 
> >>> voting records for each formal action.
> >>>
> >>> The IAOC and IAD must accept public or private comment 
> but there is 
> >>> no requirement to either respond or comment on such missives.
> >>>
> >>> The IAOC and IAD should not be subject to the IETF 
> appeals process.  
> >>> The appropriate venue for egregious enough complaints on the 
> >>> commercial side is the legal system or the recall process.
> >>>
> >>> My reasoning:
> >>>
> >>> The IAD and IAOC are making commercial (as opposed to standards) 
> >>> decisions and the result of that may be contracts or 
> other commercial 
> >>> relationships. Its inappropriate in the extreme to insert 
> a third (or 
> >>> fourth or fifth) party into that relationship.
> >>>
> >>> The IAD/IAOC relationship is going to be somewhat one of 
> >>> employee/employer and its inappropriate to insert 
> external parties 
> >>> into that relationship.
> >>>
> >>> The documentation requirement is so that when the 
> appointment process 
> >>> happens there will be some audit trail as to who did what to whom.
> >>>
> >>> The IETF appeals process is not appropriate for a 
> commercial action.  
> >>> A standards action may adversely affect competitors 
> across a broad 
> >>> spectrum of companies.  This commercial action only affects the 
> >>> bidders or winners.
> >>>
> >>>
> >>> Please, let's get the IETF out of the metaphorical administrative 
> >>> back seat and get them back to doing what they do well - 
> technology.
> >>>
> >>>
> >>> At 05:47 AM 1/19/2005, Harald Tveit Alvestrand wrote:
> >>>
> >>>> Trying to close this item, which is not resolved in the 
> -04 draft:
> >>>>
> >>>> I believe that the list discussion has converged on very rough 
> >>>> consensus (Sam and Avri being the people who worry that we're 
> >>>> building a DoS attack defense that we don't need, but 
> Brian, Scott 
> >>>> and John Klensin, at least, strongly arguing that we need that 
> >>>> mechanism) on the following text, which I suggested on Jan 13, 
> >>>> replacing the last 3 paragraphs of section 3.4:
> >>>> ------------------------------------------------------
> >>>> 3.5 Decision review
> >>>>
> >>>> In the case where someone questions a decision of the IAD or the
> >>>> IAOC, he or she may ask for a formal review of the decision.
> >>>>
> >>>> The request for review is addressed to the person or 
> body that made
> >>>> the decision. It is up to that body to decide to make a response,
> >>>> and on the form of a response.
> >>>>
> >>>> The IAD is required to respond to requests for a review from the
> >>>> IAOC, and the IAOC is required to respond to requests 
> for a review
> >>>> of a decision from the IAB or from the IESG.
> >>>>
> >>>> If members of the community feel that they are unjustly denied a
> >>>> response to a request for review, they may ask the IAB 
> or the IESG
> >>>> to make the request on their behalf.
> >>>>
> >>>> Answered requests for review and their responses are made public.
> >>>> -------------------------------------------------------
> >>>> Can we live with this?
> >>>>
> >>>>                         Harald
> >>>>
> >>>>